#!/usr/bin/env python

from WebStack.Adapters import WSGI
from Cookies import CookiesResource
from wsgiutils import wsgiServer, wsgiAdaptor

# Magic dictionary for WSGIServer.

class MagicDict:
    def __init__(self, handler):
        self.handler = handler
    def has_key(self, name):
        return 1
    def __getitem__(self, name):
        return self.handler

# Special magic incantation.

handler = WSGI.WSGIAdapter(CookiesResource())
address = ("", 8080)
server = wsgiServer.WSGIServer(address, MagicDict(handler))
print "Serving..."
server.serve_forever()

# vim: tabstop=4 expandtab shiftwidth=4
